<?php // $Id: slinky_share_handler_field_share_links.inc,v 1.2 2010/08/13 16:47:18 jerdavis Exp $

class slinky_share_handler_field_share_links extends views_handler_field {

  function construct() {
    parent::construct();
    $this->additional_fields['nid'] = 'nid';
    $this->additional_fields['title'] = 'title';
    $this->additional_fields['type'] = 'type';
  }

  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  function option_definition() {
    $options = parent::option_definition();

    return $options;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    // Remove the alteration stuff
    unset($form['alter']);
  }

  function render($values) {
    if (user_access('share content')) {
      $node = new stdClass();
      $node->nid = $values->{$this->aliases['nid']};
      $node->title = $values->{$this->aliases['title']};
      $node->type = $values->{$this->aliases['type']};
      $node->slinky_share = TRUE;
      if ($links['#items'] = slinky_share_node_links($node, $a3)) {
        return theme('slinky_share_links', $links); 
      }
    }
  }
}
